org.apache.catalina.storeconfig

## Class RealmSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.RealmSF

All Implemented Interfaces:
  IStoreFactory

    public class RealmSF
    extends StoreFactoryBase

Store server.xml Element Realm

### Field Summary

### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`sm`

### Constructor Summary

Constructors
Constructor and Description
`RealmSF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `store(PrintWriter aWriter, int indent, Object aElement)` Store a server.xml element with attributes and children
`void` `storeChildren(PrintWriter aWriter, int indent, Object aRealm, StoreDescription parentDesc)` Store the specified Realm properties and child (Realm)

### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RealmSF

    public RealmSF()

### Method Detail

#### store

    public void store(PrintWriter aWriter,
                      int indent,
                      Object aElement)
               throws Exception

Description copied from class: `StoreFactoryBase`
Store a server.xml element with attributes and children

Specified by:
  `store` in interface `IStoreFactory`
Overrides:
  `store` in class `StoreFactoryBase`
Throws:
  `Exception`
See Also:
  `IStoreFactory.store(java.io.PrintWriter, int, java.lang.Object)`

#### storeChildren

    public void storeChildren(PrintWriter aWriter,
                              int indent,
                              Object aRealm,
                              StoreDescription parentDesc)
                       throws Exception

Store the specified Realm properties and child (Realm)

Overrides:
  `storeChildren` in class `StoreFactoryBase`
Parameters:
  `aWriter` - PrintWriter to which we are storing
  `indent` - Number of spaces to indent this element
  `aRealm` - Realm whose properties are being stored
  `parentDesc` - The element description
Throws:
  `Exception` - if an exception occurs while storing